### Function

# Ide Object notify_by_pspec

#### Declaration

    void
    ide_object_notify_by_pspec (
      gpointer instance,
      GParamSpec* pspec
    )

#### Description

Like `g_object_notify_by_pspec()` if the caller is in the main-thread. Otherwise, the request is deferred to the main thread.

Available since: | 3.32

#### Parameters

`instance` | `gpointer`
| A `IdeObjectNotify`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`pspec` | `GParamSpec`
| A `GParamSpec`.
| The data is owned by the caller of the function.